.m-question-table {
  position: relative;
  z-index: 1;
  margin: 1.6rem 0 0 0;
  padding: 0 1.6rem;
  -webkit-flex: 1 1;
  flex: 1 1;
  overflow: auto;
  background: #fff;
  border-radius: 1.2rem;
  box-shadow: 0 0.1rem 0.4rem rgb(115 132 152 / 20%);
  white-space: nowrap;

  table {
    width: unset !important;
    min-width: 100%;
    thead {
      z-index: 1 !important;
    }
    th {
      padding: 0.8rem !important;

      &:nth-child(1) {
        width: 5rem;
      }
      &:nth-child(2) {
        width: 14rem;
        justify-content: flex-start;
        text-align: left;
      }
      &:nth-child(3) {
        width: 9rem;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(4) {
        width: 11rem;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(5) {
        width: 15%;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(6) {
        width: 10rem;
      }
      &:nth-child(7) {
        flex: 1;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(8) {
        justify-content: flex-start;
        flex: 1;

        text-align: left;
      }
      &:nth-child(9) {
        width: 10rem;
        text-align: left;
      }
      &:nth-child(10) {
        width: 9rem;
      }
      &:nth-child(11) {
        width: 6rem;
      }
    }

    td {
      padding: 0.8rem !important;

      &:nth-child(1) {
        width: 5rem;
      }
      &:nth-child(2) {
        width: 14rem;
        justify-content: flex-start;
        text-align: left;
      }
      &:nth-child(3) {
        width: 9rem;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(4) {
        width: 11rem;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(5) {
        width: 15%;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(6) {
        width: 10rem;
      }
      &:nth-child(7) {
        flex: 1;

        justify-content: flex-start;

        text-align: left;
      }
      &:nth-child(8) {
        justify-content: flex-start;
        flex: 1;

        text-align: left;
      }
      &:nth-child(9) {
        width: 10rem;
        text-align: left;

        .__elipsis {
          width: 100%;
          word-break: break-word;
        }
      }
      &:nth-child(10) {
        width: 9rem;
      }
      &:nth-child(11) {
        width: 6rem;
      }
      .__action-group {
        height: 100%;

        display: flex;
        align-items: center;
      }

      .__action-btn {
        width: 3.6rem;
        height: 3.6rem;
        margin: 0 0.4rem;
        padding: 0;

        display: flex;
        align-items: center;
        justify-content: center;

        background: transparent;
        border-radius: 1.2rem;

        transition: background 0.25s;

        &:hover {
          background: #e4e4f0;

          img {
            filter: unset;
            opacity: 1;
          }
        }

        img {
          width: 2rem;
          height: 2rem;

          object-fit: contain;
          object-position: center;

          filter: grayscale(1.3);
          opacity: 0.6;

          transition: all 0.25s;
        }
      }
    }

    .__not-allow {
      &:hover{
        td {
          background: rgba(226, 229, 242, 0.50);
        }
      }
      td {
        background: rgba(226, 229, 242, 0.50);

        .__action-group {
          width: 26px;
          height: 26px;
          border-radius: 8px;
          background: #FFF;
          box-shadow: 0px 4px 4px 0px rgba(76, 95, 168, 0.20);

          .__icon {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            width: 100%;
          }

          svg {
            height: 16px;
            width: 16px;
          }
        }
      }
    }
  }

  .btn-page {
    padding: 5px 10px;
    margin: 0 5px;
  }
}
